For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/v1/selphid/custom-event/voice/authentication

Sends a custom external voice authentication event to the Api Tracking platform.

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

Data to register an external voice authentication event in the Api Tracking platform. It also supports audio track buffers.

probabilitynumber · max: 1Required

Voice match probability

Example: 0.7
eventSourcestringOptional

The source of an event in the Api Tracking service.

Example: event.source.externalTool
extraDatastringRequired

Tokenized data used to call the Api Tracking service after the operation, base64-encoded.

Example: BQABAQGkJhiCqQjKYUZyDM...
Responses
200

Result of the event tracking.

application/json

The result of an Api Tracking operation.

trackingStatusnumberOptional

Status returned by the Api Tracking service, or -1 if tracking is not required.

Example: 201
trackingMessagestringOptional

Message returned by the Api Tracking service, or empty if tracking is not required.

Example: EvaluatePassiveLivenesWithImageBuffer: Ok
post/api/v1/selphid/custom-event/voice/authentication
POST /api/v1/selphid/custom-event/voice/authentication HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 101

{
  "probability": 0.7,
  "eventSource": "event.source.externalTool",
  "extraData": "BQABAQGkJhiCqQjKYUZyDM..."
}
{
  "trackingStatus": 201,
  "trackingMessage": "EvaluatePassiveLivenesWithImageBuffer: Ok"
}

Last updated